import React from 'react';
import ReactDOM from 'react-dom';
import { VizContainer } from './VizContainer';
import { useData } from './useData';

const width = 960;
const height = 500;
const margin = { top: 30, right: 30, bottom: 30, left: 30 };
const innerWidth = width - margin.right - margin.left;
const innerHeight = height - margin.top - margin.bottom;

const App = () => {
  const data = useData();
  
  if (!data) {
    return <pre>Loading...</pre>
  }
  
  return (
    <VizContainer
      showMargins={true} // delete this
      width={width}
      height={height}
      margin={margin}
      innerWidth={innerWidth}
      innerHeight={innerHeight}
    ></VizContainer>
  );
};

ReactDOM.render(<App />, document.getElementById('root'));
